PHPExcel_Shared_OLE

# Class: PHPExcel_Shared_OLE_PPS_File

Source Location: /PHPExcel/Shared/OLE/PPS/File.php

### Class Overview

    PHPExcel_Shared_OLE_PPS
       |
       --PHPExcel_Shared_OLE_PPS_File

Class for creating File PPS's for OLE containers

#### Author(s):

- Xavier Noguer <xnoguer@php.net>

### Methods

- __construct
- append
- getStream
- init

### Inherited Variables

#### Class: PHPExcel_Shared_OLE_PPS

PHPExcel_Shared_OLE_PPS::$children
PHPExcel_Shared_OLE_PPS::$DirPps
PHPExcel_Shared_OLE_PPS::$Name
PHPExcel_Shared_OLE_PPS::$NextPps
PHPExcel_Shared_OLE_PPS::$No
PHPExcel_Shared_OLE_PPS::$ole
PHPExcel_Shared_OLE_PPS::$PrevPps
PHPExcel_Shared_OLE_PPS::$Size
PHPExcel_Shared_OLE_PPS::$Time1st
PHPExcel_Shared_OLE_PPS::$Time2nd
PHPExcel_Shared_OLE_PPS::$Type
PHPExcel_Shared_OLE_PPS::$_data
PHPExcel_Shared_OLE_PPS::$_StartBlock

### Inherited Methods

#### Class: PHPExcel_Shared_OLE_PPS

PHPExcel_Shared_OLE_PPS::__construct()
  The constructor
PHPExcel_Shared_OLE_PPS::_DataLen()
  Returns the amount of data saved for this PPS
PHPExcel_Shared_OLE_PPS::_getPpsWk()
  Returns a string with the PPS's WK (What is a WK?)
PHPExcel_Shared_OLE_PPS::_savePpsSetPnt()
  Updates index and pointers to previous, next and children PPS's for this PPS. I don't think it'll work with Dir PPS's.

### Class Details

[line 30]
Class for creating File PPS's for OLE containers

#### Tags:

author: | Xavier Noguer <xnoguer@php.net>

[ Top ]

### Class Methods

### constructor __construct [line 39]

`PHPExcel_Shared_OLE_PPS_File __construct( string $name)`

The constructor

#### Tags:

see: | OLE::Asc2Ucs()
access: | public

Overrides PHPExcel_Shared_OLE_PPS::__construct() (The constructor)

#### Parameters:

string | $name | The name of the file (in Unicode)

[ Top ]

### method append [line 71]

`void append( string $data)`

Append data to PPS

#### Tags:

access: | public

#### Parameters:

string | $data | The data to append

[ Top ]

### method getStream [line 80]

`resource getStream( )`

Returns a stream for reading this file using fread() etc.

#### Tags:

return: | a read-only stream
access: | public

[ Top ]

### method init [line 60]

`mixed init( )`

Initialization method. Has to be called right after OLE_PPS_File().

#### Tags:

return: | true on success
access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:15 +0200 by phpDocumentor 1.4.4